##############################################################################
#
#   555-BOOM! - An entry in the PyWeek 5 Game Programming Competition
#
#   By Gregory Ewing (greg.ewing@canterbury.ac.nz)
#
##############################################################################

from settings import screen_size, flags, get_command_line_options

def main():
	# PyGame must be initialised before importing any further modules
	# so that image loading will work properly.
	import pygame
	pygame.init()
	get_command_line_options()
	display = pygame.display.set_mode(screen_size, flags)
	from shell import FBShell
	shell = FBShell(display)
	shell.run()

if __name__ == "__main__":
	main()
